Show / Hide Table of Contents

# Class ToastGuiAddressResolver

An address resolver for the ToastGui class.

##### Inheritance

System.Object
BaseAddressResolver
ToastGuiAddressResolver

##### Inherited Members

BaseAddressResolver.DebugScannedValues
BaseAddressResolver.IsResolved
BaseAddressResolver.Setup()
BaseAddressResolver.Setup(SigScanner)
BaseAddressResolver.GetVirtualFunction<T>(IntPtr, Int32, Int32)
BaseAddressResolver.Setup32Bit(SigScanner)
BaseAddressResolver.SetupInternal(SigScanner)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui.Toast

###### Assembly: Dalamud.dll

##### Syntax

    public class ToastGuiAddressResolver : BaseAddressResolver

### Properties

| Improve this Doc View Source

#### ShowErrorToast

Gets the address of the ShowErrorToast method.

##### Declaration

    public IntPtr ShowErrorToast { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ShowNormalToast

Gets the address of the native ShowNormalToast method.

##### Declaration

    public IntPtr ShowNormalToast { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ShowQuestToast

Gets the address of the native ShowQuestToast method.

##### Declaration

    public IntPtr ShowQuestToast { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

Setup the resolver by finding any necessary memory addresses.

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig |

##### Overrides

BaseAddressResolver.Setup64Bit(SigScanner)